"""
    schemas: Acknowledgement status sent by the surface platform to report
    receipt of message.
"""
acknowledgement_schema = {
    "allOf": [{"$ref": "#/components/schemas/Message"}],
    "type": "object",
    "properties": {
        "acknowledged_message_ID": {
            "type": "string",
            "description": "Identifier of message received and executed with "
            + "success for mission plans sent by the Autonomy Engine.",
            "example": "02125022255-7bc8-11ed-a1eb-0242ac999999",
        },
        "status": {
            "type": "string",
            "description": "Highest level of acknowledgement. I.e. `c2_received`:"
            + " Received by C2, `c2_sent`: Sent from C2->Platform, `executed`:"
            + " Executed by platform",
            "example": "executed by platform",
        },
    },
    "required": ["acknowledged_message_ID", "status"],
}

# acknowledgement_schema = api.model(
#     "Acknowledgement",
#     {
#         "message": fields.Nested(
#             full_message_schema,
#             required=True,
#             description="Message header",
#         ),
#         "message_ID": fields.Integer(
#             required=True,
#             description="Identifier of message received and executed with "
#             + "success for mission plans sent by the Autonomy Engine.",
#             example=202,
#         ),
#         "status": fields.String(
#             required=True,
#             description="Highest level of acknowledgement. I.e. `c2_received`:"
#             + " Received by C2, `c2_sent`: Sent from C2->Platform, `executed`:"
#             + " Executed by platform",
#         ),
#     },
# )
